/* like.h */

typedef struct {
    double t;
    int n;
} Data_t;

double sinh(double x);
double time_like(double t, double tau);
double pois_loglike(double mu, int n);
double pois_like(double mu, int n);
double full_like(double a, double b, double tau, double to, int n);
double full_loglike_array(double a, double b, double tau, int N, Data_t *);

void fcn_init_data(int N, Data_t *d);
void fcn_init_parm(double a, double b, double tau,
                   double va, double vb, double vtau);
double fcn3d(double *p);
double fcn1d(double x);

