#!/usr/bin/perl -s
##

$a ||= 6.8351;  $ra=3.0;
$b ||= 422.21;  $rb=25.0;
$t ||= 3.6923;  $rt=2.5;
$nboot ||= 50;
$over  ||= 1;

srand 17;

$infile = shift @ARGV || "node51-8804.in";
open(INFILE,"$infile") || die;
while (<INFILE>) {
    push @infileLine,$_;
}
close INFILE;
$N = scalar(@infileLine);

$ib=1;
$aa = $a;  $rra=$ra;
$bb = $b;  $rrb=$rb;
$tt = $t;  $rrt=$rt;
while ($ib <= $nboot) {
    $a = $aa;			# reset a,b,t to original values
    $b = $bb;
    $t = $tt;


    $infile = "tmp-boot-$$-$ib.in";
    #system("$mc -s$ib > $infile");
    open(INFILE,">$infile") || die;
    foreach $i (1 .. $N) {
	print INFILE $infileLine[int(rand($N))];
    }
    close INFILE;
	

    $ra = $rra;			# reset ra,rb,rt
    $rb = $rrb;
    $rt = $rrt;

    $it=1;
    print "$a $b $t\n";
    $like= -10000;
    while ($it <= 60) {

	$plike = $like;

	$eps = ($eps < 0.0005) ? 0.0001 : $eps/5;
	$tol = $eps*$a;
	open(AFILE,"max-like -e$tol -a$a -b$b -t$t -wa -r$ra < $infile |") 
	    or die;
	$line = <AFILE>;
	@vals = split(/\s+/,$line);
	$da = $a - $vals[1];
	printf "%.5f %.5f %.5f %.5f da=%.5f\n",@vals[(1,2,3,5)],$da;
	$da = ($da>0 ? $da : -$da);
	$ra = ($ra/3 > 2*$da ? $ra/3 : 2*$da);
	$a = $vals[1];

	$tol = $eps*$b;
	open(BFILE,"max-like -e$tol -a$a -b$b -t$t -wb -r$rb < $infile |") 
	    or die;
	$line = <BFILE>;
	@vals = split(/\s+/,$line);
	$db = $b - $vals[2];
	printf "%.5f %.5f %.5f %.5f db=%.5f\n",@vals[(1,2,3,5)],$db;
	$db = ($db>0 ? $db : -$db);
	$rb = ($rb/3 > 2*$db ? $rb/3 : 2*$db);
	$b = $vals[2];

	$rt=0 if ($fixtau);
	open(TFILE,"max-like -e$eps -a$a -b$b -t$t -wt -r$rt < $infile |") 
	    or die;
	$line = <TFILE>;
	@vals = split(/\s+/,$line);
	$dt = $t - $vals[3];
	printf "%.5f %.5f %.5f %.5f dt=%.5f\n",@vals[(1,2,3,5)],$dt;
	$dt = ($dt>0 ? $dt : -$dt);
	$rt = ($rt/3 > 2*$dt ? $rt/3 : 2*$dt);
	$t = $vals[3];
	$rt = ($rt < $t ? $rt : 0.9*$t);

	++$it;
	
	$like = $vals[5];
	next if ($it < 10);	# always do at least seven iterations
	last if ($like - $plike < 0.01);
	last if ($ra/$a < 0.002 && $rb/$b < 0.002 && $rt/($t+1) < 0.002);

    }
    unlink $infile;
    print     "#k boot= $ib it= $it a= $a  b= $b tau= $t like= $like\n";
    print STDERR "boot= $ib it= $it a= $a  b= $b tau= $t like= $like\n";
    ++$ib;
}

__END__




