#!/usr/bin/perl -s
## Make Poisson Error Bars
##

$a ||= 0;
$b ||= 0;
$B ||= 1;

$firstyr = 1990-$b/$a;

print "#k\n";
print "$firstyr 0\n";
for ($yr=1920; $yr<2001; ++$yr) {
    $d = ($b + $a*($yr-1990));
    next if $d<0;
    $dup = $d + 2*sqrt($d);
    $dup /= $B;

    print "$yr $dup\n";
}
print "#k\n";
print "$firstyr 0\n";
for ($yr=1920; $yr<2001; ++$yr) {
    $d = ($b + $a*($yr-1990));
    next if $d<0;
    $ddn = $d - 2*sqrt($d);
    next if $ddn < 0;
    $ddn /= $B;
    print "$yr $ddn\n";
}

